import { VSCodeTheme, VSCodeThemeId } from './types.js';

/**
 * @param vscodeTheme
 * @returns monaco.editor.IStandaloneThemeData
 */
declare function vscodeTheme2MonacoTheme(vscodeTheme: VSCodeTheme): {
    base: string;
    inherit: boolean;
    colors: {
        'editor.foreground'?: string | undefined;
        'editor.background'?: string | undefined;
    };
    rules: {
        foreground: string | undefined;
        background: string | undefined;
        token: string;
        fontStyle?: string | undefined;
    }[];
    encodedTokensColors: never[];
};
declare function loadMonacoThemeFromVSCodeTheme(vscodeThemeId: VSCodeThemeId): Promise<{
    base: string;
    inherit: boolean;
    colors: {
        'editor.foreground'?: string | undefined;
        'editor.background'?: string | undefined;
    };
    rules: {
        foreground: string | undefined;
        background: string | undefined;
        token: string;
        fontStyle?: string | undefined;
    }[];
    encodedTokensColors: never[];
}>;

export { loadMonacoThemeFromVSCodeTheme, vscodeTheme2MonacoTheme };
