type VSCodeThemeTokenScope = string | string[];
interface VSCodeThemeTokenSettings {
    foreground?: string;
    background?: string;
    fontStyle?: string;
}
interface VSCodeThemeTokenColor {
    name?: string;
    scope?: VSCodeThemeTokenScope;
    settings: VSCodeThemeTokenSettings;
}
/**
 * `<Identifier>.<ThemeName>`
 * .Eg. `kricsleo.gentle-clen.Gentle Clean Vitesse`
 */
type VSCodeThemeId = `${string}.${string}.${string}`;
interface VSCodeTheme {
    name: string;
    type?: 'dark' | 'light' | string;
    settings?: VSCodeThemeTokenColor[];
    colors?: {
        'editor.foreground'?: string;
        'editor.background'?: string;
    };
    tokenColors: VSCodeThemeTokenColor[];
}
type SelectorScope = Record<string, string>;

export { SelectorScope, VSCodeTheme, VSCodeThemeId, VSCodeThemeTokenColor, VSCodeThemeTokenScope, VSCodeThemeTokenSettings };
